Skip to main content
`Ctrl`+`K`

# DMPlexGetMigrationSF

Gets the `PetscSF` for migrating from a parent `DM` into this `DM`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetMigrationSF(DM dm, PetscSF *migrationSF)

Note Collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- migrationSF - The `PetscSF`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `PetscSF`, `DMPlexDistribute()`, `DMPlexDistributeField()`, `DMPlexCreateMigrationSF()`, `DMPlexSetMigrationSF`

## Level

intermediate

## Location

src/dm/impls/plex/plexnatural.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages